
#ifndef _UMI_C_HXX_
#define _UMI_C_HXX_

/**
 * \file umi_c.hxx
 * Universal Message Interface - C++ core interface
 */

#include <stddef.h>
#include "umi.h"
extern "C" {
  #include "umi_c.h"
}


namespace INdepUmi100 {

  /**
   * driver environment redirector.
   * calls the members of the UmiEnvC structure
   * passed in via the constructor.
   */ 
  class UmiEnvRed : public UmiEnv {
    const UmiEnvC *_pueC;

   public:
    Time tiNext( const Time &ti );		
    void sigGet( int, UmiChannel * );		
    void sigPut( int, UmiChannel * );		

    UmiEnvRed(const UmiEnvC *);
    ~UmiEnvRed();
  };

}



#endif
